# Uses of Interface
org.springframework.jdbc.core.SqlReturnType

Packages that use SqlReturnType
Package
Description
org.springframework.jdbc.core
Provides the core JDBC framework, based on JdbcTemplate and its associated callback interfaces and helper objects.

## Uses of SqlReturnType in org.springframework.jdbc.core

Methods in org.springframework.jdbc.core that return SqlReturnType
Modifier and Type
Method
Description
`SqlReturnType`
SqlOutParameter.`getSqlReturnType()`
Return the custom return type, if any.
Constructors in org.springframework.jdbc.core with parameters of type SqlReturnType
Modifier
Constructor
Description
``
`SqlInOutParameter(String name, int sqlType, String typeName, SqlReturnType sqlReturnType)`
Create a new SqlInOutParameter.
``
`SqlOutParameter(String name, int sqlType, String typeName, SqlReturnType sqlReturnType)`
Create a new SqlOutParameter.